	SUBROUTINE STOPIT(ITRANS)
C	  FIRST STOP INTERRUPT
	CALL IOUTT1(-2)
	CALL ITTOUR(-2)
C	  NOW CHECK FOR ANY OPEN FILES
	TYPE *,' '
	IF((ITRANS.AND.1).EQ.0) GOTO 10
	CALL OUTFIL(IDUMMY,ITRANS,3)
	TYPE *,' Receive complete'
 10	IF((ITRANS.AND.2).EQ.0) STOP
	CALL INPFIL(IDUMMY,ITRANS,3)
	TYPE *,' Transmission complete'
	STOP
	END
